/**
 * Project Scanner - Analyzes project structure and code patterns
 */
import { ProjectAnalysis } from '../types';
export declare class ProjectScanner {
    private gitignore;
    scanProject(projectPath: string, deep?: boolean): Promise<ProjectAnalysis>;
    private scanFiles;
    private analyzeArchitecture;
    private scanDependencies;
    private extractBasicPatterns;
    private extractDeepPatterns;
    private extractCodePatterns;
    private extractFileNamePatterns;
    private calculateMetrics;
    private detectLanguage;
    private isCodeFile;
    private getFunctionPattern;
}
//# sourceMappingURL=ProjectScanner.d.ts.map